using MapKit;
using ObjCRuntime;
using Photos;

namespace test;

[Register(nameof(MainWindowController))]
public class MainWindowController : NSWindowController
{
    public MainWindowController(NativeHandle handle) : base(handle) { }

    public override void WindowDidLoad()
    {
        base.WindowDidLoad();
        ContentViewController = new ViewController();
    }
}

public class ViewController : NSViewController
{
    public ViewController()
    {
        View = new MKMapView()
        {
            AutoresizingMask = NSViewResizingMask.HeightSizable | NSViewResizingMask.WidthSizable,
        };
    }

    public override async void ViewDidAppear()
    {
        base.ViewDidAppear();
        var granted = await PHPhotoLibrary.RequestAuthorizationAsync(PHAccessLevel.ReadWrite);
    }
}